Loading...
Searching...
No Matches
Opm::LNAPL< Scalar > Class Template Reference

A simple implementation of a LNAPL, e.g. More...

`#include <Lnapl.hpp>`

Inheritance diagram for Opm::LNAPL< Scalar >:

## Static Public Member Functions

static std::string_view | name ()
| A human readable name for the iso-octane.
static Scalar | molarMass ()
| The molar mass in of iso-octane.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
template<class Evaluation>
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| Rough estimate of the density of oil .
template<class Evaluation>
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| Rough estimate of the viscosity of oil in .
template<class Evaluation>
static Evaluation | liquidEnthalpy (const Evaluation &temperature, const Evaluation &)
| The enthalpy of iso-octane at a given pressure and temperature .
template<class Evaluation>
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of liquid iso-octane.
template<class Evaluation>
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Specific heat conductivity of liquid TCE .
Static Public Member Functions inherited from Opm::Component< Scalar, LNAPL< Scalar > >
static void | init (Scalar, Scalar, unsigned, Scalar, Scalar, unsigned)
| A default routine for initialization, not needed for components and must not be called.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | acentricFactor ()
| Returns the acentric factor of the component.
static Scalar | criticalVolume ()
| Returns the critical volume in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.

## Additional Inherited Members

Public Types inherited from Opm::Component< Scalar, LNAPL< Scalar > >
typedef Scalar | Scalar
Static Public Attributes inherited from Opm::Component< Scalar, LNAPL< Scalar > >
static constexpr bool | isTabulated

## Detailed Description

template<class Scalar>
class Opm::LNAPL< Scalar >

A simple implementation of a LNAPL, e.g.

a kind of oil

Template Parameters

  Scalar | The type used for scalar values

## Member Function Documentation

## liquidDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::LNAPL< Scalar >::liquidDensity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Rough estimate of the density of oil .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::LNAPL< Scalar >::liquidEnthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

The enthalpy of iso-octane at a given pressure and temperature .

We simply use the value of iso-octane here.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidHeatCapacity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::LNAPL< Scalar >::liquidHeatCapacity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific isobaric heat capacity of liquid iso-octane.

We simply use the value of iso-octane here.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidThermalConductivity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::LNAPL< Scalar >::liquidThermalConductivity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific heat conductivity of liquid TCE .

Todo
  The value returned here is a guess which does not necessarily correspond to reality in any way!

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::LNAPL< Scalar >::liquidViscosity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Rough estimate of the viscosity of oil in .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

The documentation for this class was generated from the following file:

- opm/material/components/Lnapl.hpp